> For the complete documentation index, see [llms.txt](https://synap.ac/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://synap.ac/docs/api/reference/insights/list-insightstagbreakdowns.md).

# List InsightsTagBreakdowns

```json
{"openapi":"3.0.1","info":{"title":"Synap API","version":"3.0.0"},"tags":[{"name":"Insights"}],"servers":[{"url":"https://api.synap.ac/v3","description":"Production"},{"url":"https://api-stage.synap.ac/v3","description":"Staging"}],"security":[{"SessionAuth":[]},{"PATAuth":[]},{"LegacySessionAuth":[]}],"components":{"securitySchemes":{"SessionAuth":{"type":"http","scheme":"bearer","description":"Authorize the request using a Session Token.","bearerFormat":"r:<token>"},"PATAuth":{"type":"http","scheme":"bearer","description":"Authorise the request using a personal access token.","bearerFormat":"p:"},"LegacySessionAuth":{"type":"apiKey","description":"[Legacy] Authorize the request using a Session Token.","in":"header","name":"X-Syn-Session-Token"}},"schemas":{"InsightsTagBreakdown":{"type":"object","required":["id","type"],"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["InsightsTagBreakdown"]},"attributes":{"type":"object","properties":{"subject":{"type":"string","readOnly":true},"topic":{"type":"string","readOnly":true},"subtopic":{"type":"string","readOnly":true},"skill":{"type":"string","readOnly":true},"difficulty":{"type":"string","readOnly":true},"responseCount":{"type":"number","readOnly":true},"sumScore":{"type":"number","readOnly":true},"maxScore":{"type":"number","readOnly":true},"timeFrameStart":{"type":"string","format":"date-time","readOnly":true},"timeFrameEnd":{"type":"string","format":"date-time","readOnly":true}}},"relationships":{"type":"object","properties":{"user":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","readOnly":true,"properties":{"data":{"type":"object","required":["id","type"],"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["User"]}}}}},"userGroup":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","readOnly":true,"properties":{"data":{"type":"object","required":["id","type"],"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["UserGroup"]}}}}},"tagSet":{"type":"object","description":"This is a resource linkage for a to-one relationship. It is like a Parse Pointer.","readOnly":true,"properties":{"data":{"type":"object","required":["id","type"],"nullable":true,"properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"type":{"type":"string","description":"Identifies the Resource.","enum":["TagSet"]}}}}}}}}},"ObjectId":{"type":"string","description":"The primary key for each resource."},"BadRequestApiError":{"type":"object","description":"The request was invalid.","properties":{"id":{"type":"string","description":"Unique ID of this error occurrence."},"status":{"type":"string","description":"HTTP status code."},"code":{"type":"string","description":"Synap internal error code."},"title":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}},"UnauthorizedApiError":{"type":"object","description":"Unauthorized request.","properties":{"id":{"type":"string","description":"Unique ID of this error occurrence."},"status":{"type":"string","description":"HTTP status code."},"code":{"type":"string","description":"Synap internal error code."},"title":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}},"ForbiddenApiError":{"type":"object","description":"Forbidden request.","properties":{"id":{"type":"string","description":"Unique ID of this error occurrence."},"status":{"type":"string","description":"HTTP status code."},"code":{"type":"string","description":"Synap internal error code."},"title":{"type":"string"},"detail":{"type":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string"},"parameter":{"type":"string"}}}}}}},"paths":{"/insights-tag-breakdowns":{"get":{"summary":"List InsightsTagBreakdowns","tags":["Insights"],"parameters":[{"name":"filter","in":"query","required":true,"schema":{"type":"object","description":"Either provide cohort-based filters (cohort, targetId, timeFrameUnit, timeFrameAmount) or exam-based filters (examId, optional version). Both variants support tagSetId and tagBreakdowns.","properties":{"cohort":{"type":"string","enum":["user","portal","userGroup"],"description":"The type of cohort to filter the insights data by"},"type":{"type":"string","enum":["user","portal","userGroup"],"description":"The level to which the data is aggregated. This will default to match the cohort provided. Some combinations are not supported. For exam aggregating by usergroup for a whole portal"},"targetId":{"type":"string"},"timeFrameUnit":{"type":"string","enum":["days","weeks","months","years"]},"timeFrameAmount":{"type":"number","minimum":1},"examId":{"type":"string","description":"Filter by exam ID. When provided, cohort/targetId/timeFrame are not required."},"version":{"type":"string","pattern":"^[0-9]+$","description":"Exam version number. Only used with examId. Filters to a specific published version of the exam."},"versions":{"type":"array","items":{"type":"string","pattern":"^[0-9]+$"},"description":"Exam version numbers. Only used with examId. Filters to a merged set of published exam versions."},"tagSetId":{"type":"string","nullable":true},"tagBreakdowns":{"type":"array","items":{"type":"string","enum":["exam","module","subject","topic","subtopic","difficulty","skill","context"]}}}}}],"responses":{"200":{"description":"Success","content":{"application/vnd.api+json":{"schema":{"required":["data"],"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/InsightsTagBreakdown"}},"meta":{"type":"object","properties":{"lastUpdated":{"type":"string","format":"date-time"}}}}}}}},"400":{"description":"Bad Request","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/BadRequestApiError"}}}}}}},"401":{"description":"Unauthorized","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/UnauthorizedApiError"}}}}}}},"403":{"description":"Forbidden","content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ForbiddenApiError"}}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://synap.ac/docs/api/reference/insights/list-insightstagbreakdowns.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
